/****************************************************************************
*   COPYRIGHT 2017 All rights reserved
*   Panasonic Industrial Devices Europe GmbH
****************************************************************************/

#ifndef __DEBUG_H__
#define __DEBUG_H__

/**
* @file configurations/standalone_mode/application/include/debug.h
* @brief Header file that describes the debug environment for the standalone mode applications
* @details This header files describes the debug environment that is needed by the Bluetooth SDK.
*
**/

#include "types.h"
#include "application.h"
#include "environment.h"
#include "version_specific.h"

/*! Definition of an empty macro - we are not interested in timer_api warning messages */
#define vPrintf(...)

/*! Definition of an empty macro - we are not interested in GATT warning messages */
#define gatt_bs_printf(...)
/*! Definition of an empty macro - we are not interested in GAP warning messages */
#define gap_bs_printf(...)
/*! Definition of an empty macro - we are not interested in SMP warning messages */
#define smp_bs_printf(...)
/*! Definition of an empty macro - we are not interested in SPP warning messages */
#define spp_bs_printf(...)
/*! Definition of an empty macro - we are not interested in vendor warning messages */
#define ven_bs_printf(...)
/*! Definition of an empty macro - we are not interested in HCI warning messages */
#define hci_bs_printf(...)
/*! Definition of an empty macro - we are not interested in buffer warning messages */
#define buff_bs_printf(...)
/*! Definition of an empty macro - we are not interested in TCU warning messages */
#define tcu_bs_printf(...)

/*! Definition of the printf function used in the Bluetooth SDK */
#define bs_printf dprintf

/*! Definition of the warning function used in the Bluetooth SDK */
#define bs_warning warning

#endif
